{
    onAnyTryMove(target, source, effect) {
        if (["explosion", "mindblown", "mistyexplosion", "selfdestruct"].includes(effect.id)) {
            this.attrLastMove("[still]");
            this.add("cant", this.effectState.target, "ability: Damp", effect, "[of] " + target);
            return false;
        }
    },
    onAnyDamage(damage, target, source, effect) {
        if (effect && effect.name === "Aftermath") {
            return false;
        }
    },
    onSourceModifyAtkPriority: 5,
    onSourceModifyAtk(atk, attacker, defender, move) {
        if (move.type === "Fire") {
            return this.chainModify(0.5);
        }
    },
    onSourceModifySpAPriority: 5,
    onSourceModifySpA(atk, attacker, defender, move) {
        if (move.type === "Fire") {
            return this.chainModify(0.5);
        }
    },
    flags: { breakable: 1 },
    name: "Damp",
    rating: 0.5,
    num: 6
}
